@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

.gitlab-content-container {
  display: flex;

  @media all and (max-width: $screen-md-min) {
    flex-direction: column;
  }
}

.webcast-regions-links-container {

  .webcast-regions-links:hover {
    text-decoration: none;
    opacity: .6;
  }

  .webcast-regions-links:not(:first-child) {
    margin-left: 40px;

    @media screen and (max-width: $screen-md-min) {
      margin-left: 0;
      margin-top: 20px;
    }

  }

  @media screen and (max-width: $screen-md-min) {
    flex-direction: column;
  }

}

.webcast-header {
  background: linear-gradient(to right, $purple-section-gradient-from, $purple-section-gradient-to 100%);
  padding: 80px 20px;
  display: flex;
  justify-content: center;
  align-items: center;

  img {
    height: 168px;
    margin-right: 100px;
    max-width: 440px;
    width: 100%;

    @media screen and (max-width: $screen-md-min) {
      margin-right: 0;
      margin: auto;
      margin-bottom: 40px;
    }

  }

  .webcast-info {
    text-align: center;
    color: $color-white;
    max-width: 600px;

    h1 {
      margin-top: 0;
    }

    p {
      font-size: 20px;
    }

    a {
      color: $color-white;
      text-decoration: underline;

      &:hover {
        color: $color-white;
      }
    }

  }

  @media screen and (max-width: $screen-md-min) {
    flex-direction: column;
  }


}

.share-container {
  display: flex;
  align-items: center;
  margin-bottom: 20px;

  p {
    margin: 0;
    margin-right: 10px;
  }

  i {
    font-size: 24px;
    margin: 0;
    padding: 6px 10px;

    &:hover {
      opacity: .6;
    }
  }

  .fa-facebook {
    color: $facebook-blue;
  }

  .fa-twitter {
    color: $twitter-blue;
  }

  .fa-reddit {
    color: $reddit-red;
  }
}

.speaker-container {
  margin-top: 30px;
  margin-bottom: 50px;
}

.form-container {
  width: 300px;
  flex-shrink: 0;
  overflow: hidden;
  margin-left: 80px;

  @media all and (max-width: $screen-md-min) {
    margin-top: 20px;
  }
}

.speaker-headshot {
  height: 180px;
  width: 180px;
  border-radius: $border-radius-circle;
  background-color: $color-gray-extra-light-alt;
  margin-bottom: 10px;
}

.speaker-title {
  color: $color-gray;
}

.gary-gruver {
  background: url("/images/webcast/gary-gruver.jpg") center center no-repeat;
  background-size: cover;
}

.tom-suder {
  background: url("/images/webcast/tom-suder.jpg") center center no-repeat;
  background-size: cover;
}

.rob-brown {
  background: url("/images/webcast/rob-brown.png") center center no-repeat;
  background-size: cover;
}

.leo-garciga {
  background: url("/images/webcast/leo-garciga.png") center center no-repeat;
  background-size: cover;
}

.john-jeremiah {
  background: url("/images/team/johnjeremiah-crop.jpg") center center no-repeat;
  background-size: cover;
}

.speaker-info {

  .speaker-name {
    font-weight: 600;
  }

  p {
    margin: 0;
  }

}
